/*************************************************************************
* Rutoken                                                                *
* Copyright (c) 2003-2016, CJSC Aktiv-Soft. All rights reserved.         *
* Подробная информация:  http://www.rutoken.ru                           *
*************************************************************************/

//  Copyright (c) 2013 Aktiv Co. All rights reserved.

#ifndef pcsc_android_wintypes_h
#define pcsc_android_wintypes_h

#include <stdint.h>
#include <wchar.h>

#ifdef __cplusplus
extern "C"
{
#endif

typedef int32_t LONG;
typedef uint32_t ULONG;
typedef uint8_t BYTE;
typedef BYTE* LPBYTE;
typedef const BYTE* LPCBYTE;
typedef ULONG DWORD;
typedef DWORD* LPDWORD;
typedef void* LPVOID;
typedef const void* LPCVOID;

typedef char* LPSTR;
typedef const char* LPCSTR;
typedef wchar_t* LPWSTR;
typedef const wchar_t* LPCWSTR;

#ifdef _UNICODE
typedef wchar_t TCHAR;
typedef LPWSTR LPTSTR;
typedef LPCWSTR LPCTSTR;
#else
typedef char TCHAR;
typedef LPSTR LPTSTR;
typedef LPCSTR LPCTSTR;
#endif

#ifdef __cplusplus
}
#endif

#endif
