/*************************************************************************
* Rutoken                                                                *
* Copyright (c) 2003-2016, CJSC Aktiv-Soft. All rights reserved.         *
* Подробная информация:  http://www.rutoken.ru                           *
*------------------------------------------------------------------------*
* В данном файле содержится объявление функции импорта сертификата в     *
* контейнер при помощи программы Cert2Cont.                              *
*************************************************************************/


#ifndef _IMPORT_H
#define _IMPORT_H


/************************************************************************
* Импортировать сертификат в контейнер                                  *
************************************************************************/
BOOL ImportCertificateToContainer(IN LPWSTR lpszCSPs[],            // Массив указателей на строки с именами криптопровайдеров
                                  IN DWORD pdwCSPTypes[],          // Массив типов криптопровайдеров
                                  IN DWORD dwSelectedCSP,          // Порядковый номер элемента в массиве имен и массиве типов криптопровайдеров
                                  IN LPWSTR lpszContainers[],      // Указатель на массив строк с именами контейнеров, не содержащих сертификат
                                  IN DWORD dwSelectedContainer,    // Порядковый номер элемента в массиве имен контейнеров
                                  IN DWORD dwPreferredKeySpec,     // Тип ключевой пары
                                  IN LPVOID lpsvCertBuffer,        // Указатель на буфер, содержащий сертификат
                                  IN DWORD dwCertBufferSize        // Размер буфера, содержащего сертификат, в байтах
                                  );

#endif            // _IMPORT_H
